libzypp 17.37.10

ztui::mbs::MbsIteratorNoSGR Class Reference

MbsIterator skipping ANSI SGR More...

`#include <zypp-tui/utils/text.h>`

Inheritance diagram for ztui::mbs::MbsIteratorNoSGR:

## Public Member Functions
| MbsIteratorNoSGR (boost::string_ref text_r)
MbsIteratorNoSGR & | operator++ ()
Public Member Functions inherited from ztui::mbs::MbsIterator
| MbsIterator (boost::string_ref text_r)
wchar_t & | operator* ()
| Use with care; all WS are faked to either ' ' or ' '.
const wchar_t & | operator* () const
const char * | pos () const
size_t | size () const
size_t | columns () const
boost::string_ref | ref () const
bool | atEnd () const
bool | isNL () const
bool | isWS () const
bool | isCH () const
bool | isSGR () const
MbsIterator & | operator++ ()

## Private Member Functions
void | skipSGR ()

## Detailed Description

MbsIterator skipping ANSI SGR

Definition at line 225 of file text.h.

## Constructor & Destructor Documentation

## ◆ MbsIteratorNoSGR()

ztui::mbs::MbsIteratorNoSGR::MbsIteratorNoSGR | ( | boost::string_ref | text_r | ) |
| inline

Definition at line 227 of file text.h.

## Member Function Documentation

## ◆ operator++()

MbsIteratorNoSGR & ztui::mbs::MbsIteratorNoSGR::operator++ | ( |  | ) |
| inline

Definition at line 231 of file text.h.

## ◆ skipSGR()

void ztui::mbs::MbsIteratorNoSGR::skipSGR | ( |  | ) |
| inline private

Definition at line 239 of file text.h.

The documentation for this class was generated from the following file:

- zypp-tui/utils/text.h